﻿@model Producer

@{
    ViewData["Title"] = "Add a new producer";
}

<head>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
</head>

<div class="row text">
    <div class="col-md-8 offset-2">
        <p>
            <h1>Add a New Producer</h1>
        </p>
        <div class="row">
            <div class="col-md-8 offset-2">
                <form asp-action="Create">
                    <div asp-validation-summary="All" class="text-danger"></div>

                    <div class="form-group text-center">
                        <img id="ProfilePicturePreview" class="border-info rounded-circle" style="max-width: 150px" />
                    </div>
                    <div class="form-group">
                        <label asp-for="ProfilePictureURL" class="control-label"></label>
                        <input asp-for="ProfilePictureURL" class="form-control" />
                        <span asp-validation-for="ProfilePictureURL" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="FullName" class="control-label"></label>
                        <input asp-for="FullName" class="form-control" />
                        <span asp-validation-for="FullName" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Biography" class="control-label"></label>
                        <input asp-for="Biography" class="form-control" />
                        <span asp-validation-for="Biography" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <input type="submit" value="Create" class="btn btn-outline-success float-right" />
                        <a class="btn btn-outline-secondary" asp-action="Index">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script>
        $(document).ready(function () {
            var output = document.getElementById('ProfilePicturePreview');
            output.src = $("#ProfilePictureURL").val();
        })

        $("#ProfilePictureURL").on("change", function () {
            var output = document.getElementById('ProfilePicturePreview');
            output.src = $(this).val();
        })
    </script>
}
